Core - Task # 56341

Epic # 55070 (Accepted): Workpackages
Epic # 55065 (New): WP: Overall System Performance (Backend and Frontend)
Bug # 52949 (Resolved): Speed decrease since 4.5
Bug # 56307 (Accepted): Findings from Bootstrap/PackageManager/ClassLoader analyses

Status: Closed Priority: Should have

Author: Steffen Ritter Category: Performance

Created: 2014-02-26 Assigned To: Steffen Ritter

Updated: 2014-12-14 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity:

Sprint Focus:

Subject: Evaluate if it is really reasonable to have TYPO3\CMS\Core\Compatibility\LoadedExtensionsArray
Description

could be build once as array, put to PackageManager HASH and just restored

Related issues:

duplicates Core - Task # 56538: Cache the $GLOBALS[TYPO3_LOADED_EXT1 as an ... Resolved 2014-03-04

Associated revisions

Revision 64c46b91 - 2014-03-15 23:52 - Thomas Maroschik

[TASK] Improve performance of Bootstrap/PackageManager

This patch is a combined patch which tries to address

the findings from the Bootstrap/PackageManager/ClassLoader

performance analysis.

Resolves: #56934
Resolves: #56310
Resolves: #56331
Resolves: #56341
Resolves: #56538

Releases: 6.2

Change-Id: 126915990653458eff59973ab30e170fadac10e4
Reviewed-on: https://review.typo3.0rg/28329

Reviewed-by: Ernesto Baschny

Tested-by: Ernesto Baschny

History

#1 - 2014-03-04 17:05 - Thomas Maroschik
- Status changed from New to Accepted

- Assigned To set to Thomas Maroschik

#2 - 2014-03-04 20:06 - Ernesto Baschny
- Tracker changed from Bug to Task

- Category set to Performance

- Status changed from Accepted to Closed
https://review.typo3.org/28329

Sorry, | opened a duplicate for this (#56538), haven't noticed this one before (due to it's subject). | close this one, because | wrote some more in my
own. :) Tom will take a look at it!

#3 - 2014-03-15 13:49 - Gerrit Code Review
- Status changed from Closed to Under Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28329

#4 - 2014-03-15 23:09 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/28329

#5 - 2014-03-15 23:36 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.0rg/28329

#6 - 2014-03-16 00:30 - Thomas Maroschik
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:64c46b918ef016bdd1d799¢c5ca06e868d601f692.

#7 - 2014-03-16 09:10 - Steffen Ritter

- Status changed from Resolved to Accepted
- % Done changed from 100 to 0

#8 - 2014-03-22 18:20 - Helmut Hummel

- Status changed from Accepted to Needs Feedback
- Assigned To changed from Thomas Maroschik to Steffen Ritter

Isn't this resolved now?
@Steffen: Why did you reopen it?

#9 - 2014-09-07 14:53 - Stephan GroBberndt

Can this issue be closed?

#10 - 2014-12-14 10:07 - Mathias Schreiber
- Status changed from Needs Feedback to Closed
